Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.component
Class DefaultComponentsBundle

    java.lang.Object
      net.sf.jasperreports.engine.component.DefaultComponentsBundle

All Implemented Interfaces:
  ComponentsBundle

    public class DefaultComponentsBundle

extends java.lang.Object
implements ComponentsBundle

The default `components bundle` implementation.

A components bundle consists of a `XML parser` instance and a map of `component managers`.

Version:
  $Id: DefaultComponentsBundle.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`DefaultComponentsBundle()`

Method Summary
`ComponentManager` | `getComponentManager(java.lang.String componentName)` Returns the manager for a component type identified by name.
`java.util.Map` | `getComponentManagers()` Returns the internal map of component managers, indexed by component name.
`java.util.Set` | `getComponentNames()` Returns a set that contains the names of components included in this bundle.
`ComponentsXmlParser` | `getXmlParser()` Returns the XML parsing information for this bundle.
`void` | `setComponentManagers(java.util.Map componentManagers)` Sets the map of component managers.
`void` | `setXmlParser(ComponentsXmlParser xmlParser)` Sets the components XML parser implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultComponentsBundle

    public DefaultComponentsBundle()

Method Detail

### getXmlParser

    public ComponentsXmlParser getXmlParser()

  Description copied from interface: `ComponentsBundle`
  Returns the XML parsing information for this bundle.

  Specified by:
    `getXmlParser` in interface `ComponentsBundle`
  Returns:
    the bundle XML parser

### setXmlParser

    public void setXmlParser(ComponentsXmlParser xmlParser)

  Sets the components XML parser implementation.

  Parameters:
    `xmlParser` - the components XML parser
  See Also:
    `getXmlParser()`

### getComponentNames

    public java.util.Set getComponentNames()

  Description copied from interface: `ComponentsBundle`
  Returns a set that contains the names of components included in this bundle.

  Specified by:
    `getComponentNames` in interface `ComponentsBundle`
  Returns:
    the set of component names in this bundle

### getComponentManager

    public ComponentManager getComponentManager(java.lang.String componentName)

  Description copied from interface: `ComponentsBundle`
  Returns the manager for a component type identified by name.

  Specified by:
    `getComponentManager` in interface `ComponentsBundle`
  Parameters:
    `componentName` - the component name
  Returns:
    the manager for the corresponding component type

### getComponentManagers

    public java.util.Map getComponentManagers()

  Returns the internal map of component managers, indexed by component name.

  Returns:
    the map of component managers
  See Also:
    `setComponentManagers(Map)`

### setComponentManagers

    public void setComponentManagers(java.util.Map componentManagers)

  Sets the map of component managers.

  The map needs to use component names as keys, and `ComponentManager` instances as values.

  Parameters:
    `componentManagers` - the map of component managers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com